---
lang: en
title: 'API docs: boot.bootcomponent._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/boot
permalink: /doc/en/lb4/apidocs.boot.bootcomponent._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [BootComponent](./boot.bootcomponent.md) &gt; [(constructor)](./boot.bootcomponent._constructor_.md)

## BootComponent.(constructor)

Constructs a new instance of the `BootComponent` class

<b>Signature:</b>

```typescript
constructor(app: Application);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  app | [Application](./core.application.md) | Application instance |


